threshold.func {aCGH} | R Documentation

## Function to indicate gain or loss for each clone for each sample

### Description

This function outputs a matrix containing gain/loss indicator for each clone and sample.

### Usage

    threshold.func(dat, posThres, negThres = NULL)

### Arguments

`dat` | log2ratios of the relevant array CGH object
`posThres` | Global or sample-specific threshold for gain
`negThres` | Global or sample-specific threshold for loss. Defaults to -posThres

### Value

Returns a matrix with a row for each clone and column for each sample. "1" indicates gain and "-1" indicates loss.

### Author(s)

Jane Fridlyand, Ritu Roydasgupta

### Examples

    data(colorectal)

    factor <- 3
    tbl <- threshold.func(log2.ratios(colorectal),posThres=factor*(sd.samples(colorectal)$madGenome))
    rownames(tbl) <- clone.names(colorectal)
    colnames(tbl) <- sample.names(colorectal)
    tbl[1:5,1:5]

[Package aCGH version 1.8.0 Index]